Subject: [bug#51838] [PATCH 00/11] guix: node-build-system: Support compiling add-ons with node-gyp.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 03 Dec 2021 06:17:58 +0100

Hi,

Am Donnerstag, den 02.12.2021, 16:18 -0500 schrieb Philip McGrath:
> On 11/28/21 14:35, Timothy Sample wrote:
> > Jelle Licht <[email-masked]> writes:
> > >  From what I have seen package-lock.json offers us no benefits
> > > (because we track exact dependency information via the guix
> > > store) and can (as you have seen) prevent builds from working. My
> > > 2c: always remove it in a phase in the build system.
> > 
> > I’m inclined to agree with Jelle and Liliana.  I can’t imagine a
> > situation in which we would want the lock files.  We could be
> > wrong, but we can always adjust the build system later if something
> > surprising happens (e.g., ‘#:keep-lock-file?’ or whatever).
> 
> This makes sense to me. Should we also delete "yarn.lock" (respected
> as of npm v7)[1] and "npm-shrinkwrap.json"[2]? It seems like the
> same reasons probably apply. 
If it breaks builds, then yes.

> We might want to handle "node_modules/.package-lock.json"[3], too,
> but that seems less likely to exist.
What are node_modules in this context?  To me that sounds like
"vendored packages" and if so, they ought to (ideally) be deleted in a
snippet way before unpack.  Meaning you wouldn't have to handle that
case in configure.

Cheers